-- Challenge Mode Targeter
-- by Jadya - EU-Well of Eternity

local addonTitle, addonTable = ...
local L = addonTable.L

local addon = VisitorRadar
local GVRIcon = "Interface\\Icons\\Ability_EyeOfTheOwl"

GVRConfig = {}
-- main panel

GVRConfig.panel = CreateFrame("Frame", "GVRConfig_panel", UIParent)
local mainframe = GVRConfig.panel
mainframe.buttons = {}
mainframe:Hide()
mainframe.name = "Garr. Visitor Radar"
InterfaceOptions_AddCategory(mainframe)

-- invisible to guild
mainframe.chk_noguild = CreateFrame("CheckButton", "GVR_Checkbox1", mainframe, "OptionsCheckButtonTemplate")
 _G[mainframe.chk_noguild:GetName().."Text"]:SetText(L["do_not_show_guild"])
 mainframe.chk_noguild:SetPoint("TOPLEFT", mainframe, "TOPLEFT", 10, -60)
 mainframe.chk_noguild:SetScript("OnClick", function()
  VisitorRadar_Options["noguild"] = mainframe.chk_noguild:GetChecked()
 end)

function addonTable:SetupConfigFrame()
 mainframe.chk_noguild:SetChecked(VisitorRadar_Options["noguild"])
 addon:Pulse()
end

function addonTable:SetupCheckbox()
 local f = CreateFrame("Frame", "VR_Checkbox0", GuildRosterFrame)
 f:SetSize(20, 20)
 f.tex = f:CreateTexture()
 f.tex:SetAllPoints()
 f.tex:SetTexture(GVRIcon)
 f:SetPoint("RIGHT", GuildFrameCloseButton, "LEFT", -10, 0)
 if VisitorRadar_Options["show_in_guildframe"] then
  f.tex:SetVertexColor(1,1,1,1)
 else
  f.tex:SetVertexColor(0.4,0.4,0.4,1)
 end
 f:SetScript("OnMouseUp", function(self) 
  VisitorRadar_Options["show_in_guildframe"] = not VisitorRadar_Options["show_in_guildframe"]
  if VisitorRadar_Options["show_in_guildframe"] then
   self.tex:SetVertexColor(1,1,1,1)
  else
   self.tex:SetVertexColor(0.4,0.4,0.4,1)
  end
 GuildRoster_Update()
 end)
 
 f:SetScript("OnEnter", function(self)
     GameTooltip:ClearLines()
     GameTooltip:SetOwner(self, "TOP")
     GameTooltip:AddLine(L["chk_toggle"])
     GameTooltip:Show()
  	end)
 f:SetScript("OnLeave", function(self)
     GameTooltip:Hide()
 	end)
	
 GVRConfig.chk_toggle = f
end
